// Oleg Petruny proprietary.

#pragma once

#include "ResolutionResponsiveUserWidget.h"

#include "DialogueRowWidget.generated.h"

enum class EDialogueWaveType : uint8;

UCLASS(Blueprintable, Abstract)
class UDialogueRowWidget : public UResolutionResponsiveUserWidget
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintImplementableEvent)
    void SetStyle(EDialogueWaveType style);

    UPROPERTY(meta = (BindWidget))
    class UTextBlock* text;
};
